import time
import visa

ip_address = '10.215.0.219'
rm = visa.ResourceManager()
smw = rm.open_resource('TCPIP::' + ip_address + '::INSTR', write_termination=None)
smw.timeout = 10000

smw.query('*RST; *WAI; *OPC?')
smw.query(':SOUR1:BB:GNSS:TMOD NAV; *OPC?')
smw.query(':SOUR1:BB:GNSS:REC:V1:POS HIL; *OPC?')
smw.query(':SOUR1:BB:GNSS:REC:V1:HIL:SLAT 0.12; *OPC?')
smw.query(':SOUR1:BB:GNSS:REC:V1:HIL:ITYP SCPI; *OPC?')
smw.query(':SOUR1:BB:GNSS:REC:V1:LOC:COOR:DEC:WGS 0.0, 0.0, 10.0; *OPC?')
smw.query(':SOUR1:BB:GNSS:STAT ON; *OPC?')
smw.query('OUTP:STAT 1; *OPC?')

time.sleep(40)

TGNSS0 = smw.query(':SOUR1:BB:GNSS:RT:HWT?; *OPC?')
THIL0 = time.perf_counter()
deltaT = TGNSS0 - THIL0
y = 0

while(1):
    time.sleep(1)
    THILi = time.perf_counter()
    TSCPIi = THILi + deltaT
    smw.write(':SOUR1:BB:GNSS:RT:REC:V1:HILP:MODE:A TSCPIi, 6378147, ' + str(y) +', 0, 0, 10, 0, 0, 0, 0, 0, 0, 0')
    y = y + 10

